Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# PPoll

## Name

PPoll -- parallel poll devices

## Synopsis

    #include <gpib/ib.h>

``void PPoll`(int board_desc, short *result);`

## Description

PPoll() is similar to the 'traditional' API function ibrpp(). It causes the interface board to perform a parallel poll, and stores the parallel poll byte in the location specified by `result`. Bits 0 to 7 of the parallel poll byte correspond to the dio lines 1 to 8, with a 1 indicating the corresponding dio line is asserted. The devices on the bus you wish to poll should be configured beforehand with PPollConfig(). The board must be controller-in-charge to perform a parallel poll.

Prev | Home | Next
PassControl | Up | PPollConfig